> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fiber.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Get payment link

> Get a payment link by ID



## OpenAPI

````yaml GET /v1/pay/link/:id
openapi: 3.1.0
info:
  title: Fiber API
  description: Fiber API
  version: 1.0.0
servers:
  - url: https://api.fiber.so
    description: Production Fiber API
security: []
paths:
  /v1/pay/link/:id:
    get:
      description: Get a payment link by ID
      parameters:
        - name: id
          in: path
          description: The ID of the payment link to get
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Payment link found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentLink'
        '404':
          description: Payment link not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    PaymentLink:
      required:
        - name
      type: object
      properties:
        id:
          description: The ID of the payment link
          type: string
          example: ad1db6ed-32ea-4054-ba0b-7df45665bc9c
        address:
          description: The address to send the payment to
          type: string
          example: '0x4838B106FCe9647Bdf1E7877BF73cE8B0BAD5f97'
        link:
          description: The link to the payment page
          type: string
          example: https://pay.fiber.so/ad1db6ed-32ea-4054-ba0b-7df45665bc9c
        status:
          description: The status of the payment link
          type: string
          enum:
            - completed
            - pending
          example: pending
        acceptedTokens:
          description: The assets that are accepted for the payment link
          type: array
          items:
            $ref: '#/components/schemas/AcceptedToken'
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
    AcceptedToken:
      required:
        - asset
        - chainId
      type: object
      properties:
        address:
          type: address
          format: address
          example: '0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48'
          description: The token address
        chainId:
          type: number
          example: 1
          description: The chain ID to send the payment on
        symbol:
          type: string
          example: USDC
          description: The symbol of the token
        name:
          type: string
          example: USD Coin
          description: The name of the token

````